# Uses of Interface
org.apache.lucene.monitor.MonitorQuerySerializer

- ## Uses of MonitorQuerySerializer in org.apache.lucene.monitor

  Methods in org.apache.lucene.monitor that return MonitorQuerySerializer
  Modifier and Type
  Method
  Description
  `static MonitorQuerySerializer`
  MonitorQuerySerializer.`fromParser(Function<String,Query> parser)`
  Build a serializer from a query parser
  `MonitorQuerySerializer`
  MonitorConfiguration.`getQuerySerializer()`
  Methods in org.apache.lucene.monitor with parameters of type MonitorQuerySerializer
  Modifier and Type
  Method
  Description
  `MonitorConfiguration`
  MonitorConfiguration.`setDirectoryProvider(IOSupplier<Directory> directoryProvider, MonitorQuerySerializer serializer)`
  `MonitorConfiguration`
  MonitorConfiguration.`setDirectoryProvider(IOSupplier<Directory> directoryProvider, MonitorQuerySerializer serializer, Boolean readOnly)`
  Sets a custom directory, with a custom serializer.
  `MonitorConfiguration`
  MonitorConfiguration.`setIndexPath(Path indexPath, MonitorQuerySerializer serializer)`